plugins {
    id("com.android.application")
}

android {
    namespace = "com.ch.jedge.demo.glm"
    compileSdk = 33

    defaultConfig {
        applicationId = "com.ch.jedge.demo.glm"
        minSdk = 24
        targetSdk = 33
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        externalNativeBuild {
            cmake {
                cppFlags += ""
                abiFilters("armeabi-v7a")
            }
        }
        ndk {
            abiFilters.add("armeabi-v7a")
        }
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    externalNativeBuild {
        cmake {
            path = file("src/main/cpp/CMakeLists.txt")
            version = "3.22.1"
        }
    }
}

dependencies {

    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("com.google.android.material:material:1.8.0")
    implementation("androidx.constraintlayout:constraintlayout:2.1.4")
    implementation(files("libs\\qlibj.jar"))
    implementation(files("libs\\jedge.jar"))
    implementation(files("libs\\jesock.jar"))
    implementation(files("libs\\fastjson-1.2.28.jar"))
    implementation(files("libs\\okhttp-3.14.9.jar"))
    implementation(files("libs\\okhttp-sse-3.14.9.jar"))
    implementation(files("libs\\druid-1.2.4.jar"))
    implementation(files("libs\\commons-math3-3.6.1.jar"))
    implementation(files("libs\\slf4j-api-1.7.30.jar"))
    implementation(files("libs\\gson-2.8.9.jar"))
    implementation(files("libs\\okio-1.17.2.jar"))
    implementation(files("libs\\java-jwt-4.2.2.jar"))
    implementation(files("libs\\jackson-annotations-2.12.7.jar"))
    implementation(files("libs\\jackson-core-2.12.7.jar"))
    implementation(files("libs\\jackson-databind-2.12.7.1.jar"))
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.1.5")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.5.1")
}